<Project Sdk="Microsoft.NET.Sdk.BlazorWebAssembly">

    <PropertyGroup>
        <TargetFramework>net10.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <OverrideHtmlAssetPlaceholders>true</OverrideHtmlAssetPlaceholders>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Markdig" Version="0.40.0"/>
        <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly" Version="10.0.9"/>
        <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.DevServer" Version="10.0.9" PrivateAssets="all"/>
    </ItemGroup>

    <Target Name="SyncDocsNotes" BeforeTargets="BeforeBuild">
        <Exec Command="dotnet run --project &quot;$(MSBuildProjectDirectory)\..\Console\Console.csproj&quot;"/>
    </Target>

</Project>
